import javax.microedition.lcdui.*;

public class UrlForm extends Form implements CommandListener { 
    Menu      menu;
    TextField url;
    static String prevUrl = "www.";
    static final int MAX_URL_LENGTH = 64;

    UrlForm(Menu menu) { 
        super(Locale.GOTO);
        this.menu = menu;
        addCommand(MobiBrowser.GOTO_CMD);
        addCommand(MobiBrowser.BACK_CMD);
        url = new TextField(Locale.URL, prevUrl, MAX_URL_LENGTH, TextField.URL);
        append(url);
        setCommandListener(this);
        Display.getDisplay(menu.browser).setCurrent(this);
    }

    public void commandAction(Command c, Displayable d) 
    {
        if (c == MobiBrowser.GOTO_CMD) { 
            String address = url.getString().trim();
            if (address.length() == 0) { 
                return;
            }
            prevUrl = address;
            if (address.indexOf("://") < 0) { 
                address = "http://" + address;
            }
            menu.browser.load(address, 0);
        } else { 
            Display.getDisplay(menu.browser).setCurrent(menu);
        }
    }
}


