public class Locale { 
    public static final String NEW_BOOKMARK = " ";
    public static final String EDIT_BOOKMARK = " ";
    public static final String BOOKMARKS = "";
    public static final String NAME = "";
    public static final String EMPTY_NAME = "     ";
    public static final String BACK = "";
    public static final String QUIT = "";
    public static final String GOTO = "";
    public static final String ADD = "";
    public static final String RENAME = "";
    public static final String REMOVE= "";
    public static final String SEARCH = "";
    public static final String SEARCH_IN = " ";
    public static final String WEB_SEARCH = "Web ";
    public static final String HELP = "";
    public static final String BEGIN = " ";
    public static final String END = " ";
    public static final String ERROR = "";
    public static final String MENU = " ";
    public static final String NOT_FOUND = "  ";
    public static final String REFRESH = "";
    public static final String BACKWARD = "";
    public static final String FORWARD = "";
    public static final String LAST = "";
    public static final String STOP = "";
    public static final String HISTORY = "";
    public static final String URL = "";
    public static final String LANGUAGE = "";
    public static final String LANGUAGE_CODE = "ru";
    public static final String INTERNET = "";
    public static final String CONNECTION_FAILURE = " ";
    public static final String CONNECTING = "   ";
    
    public static final char HYPHEN = '-';

    static Bookmark[] PREDEFINED_BOOKMARKS = new Bookmark[] { 
        new Bookmark(0, "RBC", "http://www.rbc.ru"),
        new Bookmark(0, "lib.ru", "http://www.lib.ru")
    };


    static final String HELP_TEXT = 
        " :\n" + 
        ": \n" + 
        ":\n" + 
        ":\n" + 
        ": \n" + 
	  ":\n" +
        "*  \n" + 
        "#  \n" + 
        "0  \n" + 
        "1-9  N  \n";

    public static char getChar(byte b) { 
        return (char)(b < 0 ? b == -88 ? 0x401 : b == -72 ? 0x451 : 
                      (0x400 | ((b & 0x7f) - 0x30)) : b);
    }
    
    public static int getRank(char ch) { 
        if (ch >= '' && ch <= '') {
            switch (Character.toLowerCase(ch)) {
            case '':
            case '':
            case '':
            case '':
            case '': 
                return 2;
            case '':
            case '':
            case '':
            case '':
            case '':
            case '':
            case '':
            case '':
            case '':
            case '':
                return 3;
            default:
                return 1;	
            }
        }
        return 4;
    }

    public static int split(StringBuffer buf, int pos) { 
        int i = pos-2;
        if (i > 0) { 
            int rank2 = 0, len = buf.length();
            for (int j = i; j < len && (rank2 = getRank(buf.charAt(j))) < 3; j++);
            if (rank2 != 3) { 
                while (--i >= 0 && (rank2 = getRank(buf.charAt(i))) < 3); 
                if (i < 0 || rank2 != 3) { 
                    return i+1;
                }
            }
            rank2 = getRank(buf.charAt(i));
            while (i > 0) { 
                int rank1 = getRank(buf.charAt(i-1));
                if (rank1 > 3) { 
                    return i;
                } else if (rank1 == 3) { 
                    char c1 = buf.charAt(i);
                    char c2 = buf.charAt(i+1);
                    if (rank2 <= 2 && 
                        (c1 == c2 // rule 5
                         || c1 == '' || c1 == '' // rule 4
                         || (c1 == '' && getRank(c2) <= 2) // rule 2
                         || (rank2 == 2 && c2 != '' && c2 != '' && getRank(c2) == 1))) // rule 3
                    {
                        if (i < pos-2) { 
                            return i+1;
                        }
                    } else { 
                        return i;
                    }
                }
                rank2 = rank1;
                i -= 1;
            }
        }
        return i;
    }   
}
 		
